#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright (C) 2013 by Łukasz Langa
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

from __future__ import absolute_import
from __future__ import division
from __future__ import print_function
from __future__ import unicode_literals

import datetime

e = (
 'RIMP',
 {'INFRA2': {'ADDR': 'A9FE01BF',
             'ASSET': None,
             'BLADES': {'BAYS': {'BAY': [{'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 0,
                                          'mmYOffset': 7},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 56,
                                          'mmYOffset': 7},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 112,
                                          'mmYOffset': 7},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 168,
                                          'mmYOffset': 7},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 224,
                                          'mmYOffset': 7},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 280,
                                          'mmYOffset': 7},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 336,
                                          'mmYOffset': 7},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 392,
                                          'mmYOffset': 7},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 0,
                                          'mmYOffset': 188},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 56,
                                          'mmYOffset': 188},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 112,
                                          'mmYOffset': 188},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 168,
                                          'mmYOffset': 188},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 224,
                                          'mmYOffset': 188},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 280,
                                          'mmYOffset': 188},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 336,
                                          'mmYOffset': 188},
                                         {'SIDE': 'FRONT',
                                          'mmDepth': 480,
                                          'mmHeight': 181,
                                          'mmWidth': 56,
                                          'mmXOffset': 392,
                                          'mmYOffset': 188}]},
                        'BLADE': [{'ASSOCIATEDBLADE': 2139875070,
                                   'BAY': {'CONNECTION': 1},
                                   'BSN': 'UK44404VR5      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NO_ERROR',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.100',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:90:40'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:90:42'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 1},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 1}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 1},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 1},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 1},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 1}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:0C:D4:00',
                                                                              'iSCSI': '00:22:64:0C:D4:01'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:0C:D4:02',
                                                                              'iSCSI': '00:22:64:0C:D4:03'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 1},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 1}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 211},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 22,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404VR5',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034565235'},
                                  {'ASSOCIATEDBLADE': 2139877098,
                                   'BAY': {'CONNECTION': 2},
                                   'BSN': 'UK44404VRE      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NOT_TESTED',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.101',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:1a:88'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:1a:8a'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 2},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 2}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 2},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 2},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 2},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 2}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:07:A1:42',
                                                                              'iSCSI': '00:22:64:07:A1:43'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:07:A1:44',
                                                                              'iSCSI': '00:22:64:07:A1:45'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 2},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 2}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 188},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 22,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404VRE',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034565245'},
                                  {'ASSOCIATEDBLADE': 2139879126,
                                   'BAY': {'CONNECTION': 3},
                                   'BSN': 'UK44404VMM      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NO_ERROR',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.102',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:90:7c'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:90:7e'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 3},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 3}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 3},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 3},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 3},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 3}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:08:F4:76',
                                                                              'iSCSI': '00:22:64:08:F4:77'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:08:F4:60',
                                                                              'iSCSI': '00:22:64:08:F4:61'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 3},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 3}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 188},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 21,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404VMM',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034564D4D'},
                                  {'ASSOCIATEDBLADE': 2139881154,
                                   'BAY': {'CONNECTION': 4},
                                   'BSN': 'UK44404VP3      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NO_ERROR',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.103',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:88:00'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:88:02'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 4},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 4}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 4},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 4},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 4},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 4}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:08:2F:F8',
                                                                              'iSCSI': '00:22:64:08:2F:F9'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:08:2F:F6',
                                                                              'iSCSI': '00:22:64:08:2F:F7'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 4},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 4}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 234},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 22,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404VP3',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034565033'},
                                  {'ASSOCIATEDBLADE': 2139883182,
                                   'BAY': {'CONNECTION': 5},
                                   'BSN': 'UK44404VPC      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NOT_TESTED',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.104',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:77:80'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:77:82'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 5},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 5}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 5},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 5},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 5},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 5}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:08:AE:36',
                                                                              'iSCSI': '00:22:64:08:AE:37'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:08:AE:2A',
                                                                              'iSCSI': '00:22:64:08:AE:2B'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 5},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 5}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 225},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 21,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404VPC',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034565043'},
                                  {'ASSOCIATEDBLADE': 2139885210,
                                   'BAY': {'CONNECTION': 6},
                                   'BSN': 'UK44404VHY      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NO_ERROR',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.105',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:18:9c'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:18:9e'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 6},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 6}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 6},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 6},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 6},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 6}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:06:DB:BA',
                                                                              'iSCSI': '00:22:64:06:DB:BB'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:06:DB:BE',
                                                                              'iSCSI': '00:22:64:06:DB:BF'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 6},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 6}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 229},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 21,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404VHY',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034564859'},
                                  {'ASSOCIATEDBLADE': 2139887238,
                                   'BAY': {'CONNECTION': 7},
                                   'BSN': 'UK44404VN0      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NO_ERROR',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.106',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:77:34'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:77:36'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 7},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 7}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 7},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 7},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 7},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 7}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:06:EB:02',
                                                                              'iSCSI': '00:22:64:06:EB:03'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:06:DB:F8',
                                                                              'iSCSI': '00:22:64:06:DB:F9'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 7},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 7}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 233},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 21,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404VN0',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034564E30'},
                                  {'ASSOCIATEDBLADE': 2139889266,
                                   'BAY': {'CONNECTION': 8},
                                   'BSN': 'UK44404VLY      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NO_ERROR',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.107',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:77:94'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:77:96'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 8},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 8}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 8},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 8},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 8},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 8}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:09:82:C2',
                                                                              'iSCSI': '00:22:64:09:82:C3'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:09:82:9C',
                                                                              'iSCSI': '00:22:64:09:82:9D'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 8},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 8}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 230},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 21,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404VLY',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034564C59'},
                                  {'ASSOCIATEDBLADE': 2139891294,
                                   'BAY': {'CONNECTION': 9},
                                   'BSN': 'UK44404Y9X      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NO_ERROR',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.108',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:79:a8'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:79:aa'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 9},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 9}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 9},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 9},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 9},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 9}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:09:C2:F0',
                                                                              'iSCSI': '00:22:64:09:C2:F1'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:09:D2:16',
                                                                              'iSCSI': '00:22:64:09:D2:17'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 9},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 9}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 193},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 22,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404Y9X',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034593958'},
                                  {'ASSOCIATEDBLADE': 2139893322,
                                   'BAY': {'CONNECTION': 10},
                                   'BSN': 'UK44404YDR      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NO_ERROR',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.109',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:1b:84'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:1b:86'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 10},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 10}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 10},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 10},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 10},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 10}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:09:93:02',
                                                                              'iSCSI': '00:22:64:09:93:03'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:09:93:2A',
                                                                              'iSCSI': '00:22:64:09:93:2B'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 10},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 10}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 189},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 22,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404YDR',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034594452'},
                                  {'ASSOCIATEDBLADE': 2139895350,
                                   'BAY': {'CONNECTION': 11},
                                   'BSN': 'UK44404YHK      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NO_ERROR',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.110',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:8f:f0'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:8f:f2'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 11},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 11}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 11},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 11},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 11},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 11}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:08:D5:9E',
                                                                              'iSCSI': '00:22:64:08:D5:9F'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:08:E5:0A',
                                                                              'iSCSI': '00:22:64:08:E5:0B'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 11},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 11}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 229},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 21,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404YHK',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-34303459484B'},
                                  {'ASSOCIATEDBLADE': 2139897378,
                                   'BAY': {'CONNECTION': 12},
                                   'BSN': 'UK44404YKH      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NOT_TESTED',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.111',
                                   'PORTMAP': {'MEZZ': [{'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 12},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 12}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 12},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 12},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 12},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 12}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:0B:F5:3C',
                                                                              'iSCSI': '00:22:64:0B:F5:3D'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:0B:E5:1E',
                                                                              'iSCSI': '00:22:64:0B:E5:1F'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 12},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 12}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 232},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 22,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404YKH',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034594B48'},
                                  {'ASSOCIATEDBLADE': 2139899406,
                                   'BAY': {'CONNECTION': 13},
                                   'BSN': 'UK44404YBA      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NO_ERROR',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.112',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:7c:d0'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:7c:d2'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 13},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 13}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 13},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 13},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 13},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 13}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:08:9E:FC',
                                                                              'iSCSI': '00:22:64:08:9E:FD'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:08:9E:EE',
                                                                              'iSCSI': '00:22:64:08:9E:EF'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 13},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 13}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 229},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 22,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404YBA',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034594241'},
                                  {'ASSOCIATEDBLADE': 2139901434,
                                   'BAY': {'CONNECTION': 14},
                                   'BSN': 'UK44404YKN      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NO_ERROR',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.113',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:82:20'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:82:22'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 14},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 14}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 14},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 14},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 14},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 14}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:0C:94:02',
                                                                              'iSCSI': '00:22:64:0C:94:03'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:0C:84:F8',
                                                                              'iSCSI': '00:22:64:0C:84:F9'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 14},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 14}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 181},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 21,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404YKN',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034594B4E'},
                                  {'ASSOCIATEDBLADE': 2139903462,
                                   'BAY': {'CONNECTION': 15},
                                   'BSN': 'UK44404YC2      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NO_ERROR',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.114',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:26:bc'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:26:be'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 15},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 15}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 15},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 15},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 15},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 15}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:08:80:6C',
                                                                              'iSCSI': '00:22:64:08:80:6D'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:08:10:AA',
                                                                              'iSCSI': '00:22:64:08:10:AB'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 15},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 15}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 235},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 21,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404YC2',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034594332'},
                                  {'ASSOCIATEDBLADE': 2139905490,
                                   'BAY': {'CONNECTION': 16},
                                   'BSN': 'UK44404YE3      ',
                                   'CONJOINABLE': 'false',
                                   'DIAG': {'AC': 'NOT_RELEVANT',
                                            'Cooling': 'NO_ERROR',
                                            'Degraded': 'NO_ERROR',
                                            'FRU': 'NO_ERROR',
                                            'Failure': 'NO_ERROR',
                                            'Keying': 'NO_ERROR',
                                            'Location': 'NOT_TESTED',
                                            'MgmtProc': 'NO_ERROR',
                                            'Power': 'NO_ERROR',
                                            'i2c': 'NOT_RELEVANT',
                                            'oaRedundancy': 'NOT_RELEVANT',
                                            'thermalDanger': 'NOT_TESTED',
                                            'thermalWarning': 'NOT_TESTED'},
                                   'MANUFACTURER': 'HP',
                                   'MGMTIPADDR': '10.0.168.115',
                                   'PORTMAP': {'MEZZ': [{'DEVICE': {'NAME': 'QLogic QMH2462 4Gb FC HBA for HP c-Class BladeSystem',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:1c:f8'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_FIB',
                                                                              'WWPN': '50:01:43:80:02:af:1c:fa'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_ONE'},
                                                         'NUMBER': 1,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 3,
                                                                            'TRAYPORTNUMBER': 16},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 4,
                                                                            'TRAYPORTNUMBER': 16}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_ONE'}},
                                                        {'NUMBER': 2,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 5,
                                                                            'TRAYPORTNUMBER': 16},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 6,
                                                                            'TRAYPORTNUMBER': 16},
                                                                           {'NUMBER': 3,
                                                                            'TRAYBAYNUMBER': 7,
                                                                            'TRAYPORTNUMBER': 16},
                                                                           {'NUMBER': 4,
                                                                            'TRAYBAYNUMBER': 8,
                                                                            'TRAYPORTNUMBER': 16}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_TWO'}},
                                                        {'DEVICE': {'NAME': 'Embedded Ethernet',
                                                                    'PORT': [{'NUMBER': 1,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:0C:C4:DC',
                                                                              'iSCSI': '00:22:64:0C:C4:DD'},
                                                                             {'NUMBER': 2,
                                                                              'STATUS': 'OK',
                                                                              'TYPE': 'INTERCONNECT_TYPE_ETH',
                                                                              'WWPN': '00:22:64:0C:C4:DE',
                                                                              'iSCSI': '00:22:64:0C:C4:DF'}],
                                                                    'STATUS': 'OK',
                                                                    'TYPE': 'MEZZ_DEV_TYPE_FIXED'},
                                                         'NUMBER': 5,
                                                         'SLOT': {'PORT': [{'NUMBER': 1,
                                                                            'TRAYBAYNUMBER': 1,
                                                                            'TRAYPORTNUMBER': 16},
                                                                           {'NUMBER': 2,
                                                                            'TRAYBAYNUMBER': 2,
                                                                            'TRAYPORTNUMBER': 16}],
                                                                  'TYPE': 'MEZZ_SLOT_TYPE_FIXED'}}],
                                               'STATUS': 'OK'},
                                   'POWER': {'POWERMODE': 'UNKNOWN',
                                             'POWERSTATE': 'ON',
                                             'POWER_CONSUMED': 228},
                                   'SPN': 'ProLiant BL460c G1',
                                   'STATUS': 'OK',
                                   'TEMPS': {'TEMP': {'C': 22,
                                                      'DESC': 'AMBIENT',
                                                      'LOCATION': 14,
                                                      'THRESHOLD': [{'C': 38,
                                                                     'DESC': 'CAUTION',
                                                                     'STATUS': 'Degraded'},
                                                                    {'C': 43,
                                                                     'DESC': 'CRITICAL',
                                                                     'STATUS': 'Non-Recoverable Error'}]}},
                                   'TYPE': 'SERVER',
                                   'UIDSTATUS': 'OFF',
                                   'UUID': '447707UK44404YE3',
                                   'VMSTAT': {'CDROMSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'CDROMURL': None,
                                              'FLOPPYSTAT': 'VM_DEV_STATUS_DISCONNECTED',
                                              'FLOPPYURL': None,
                                              'SUPPORT': 'VM_SUPPORTED'},
                                   'cUUID': '37373434-3730-4247-3838-343034594533'}]},
             'DATETIME': datetime.datetime(2011, 6, 23, 15, 9, 59),
             'DIAG': {'AC': 'NOT_RELEVANT',
                      'Cooling': 'NOT_RELEVANT',
                      'Degraded': 'NOT_TESTED',
                      'FRU': 'NO_ERROR',
                      'Failure': 'NOT_TESTED',
                      'Keying': 'NOT_RELEVANT',
                      'Location': 'NOT_RELEVANT',
                      'MgmtProc': 'NOT_RELEVANT',
                      'Power': 'NOT_RELEVANT',
                      'i2c': 'NOT_RELEVANT',
                      'oaRedundancy': 'NO_ERROR',
                      'thermalDanger': 'NOT_RELEVANT',
                      'thermalWarning': 'NOT_RELEVANT'},
             'DIM': {'mmDepth': 756, 'mmHeight': 445, 'mmWidth': 444},
             'ENCL': 'HP_Blade_H16-1',
             'ENCL_SN': 'UK44404V4R',
             'FANS': {'BAYS': {'BAY': [{'SIDE': 'REAR',
                                        'mmDepth': 194,
                                        'mmHeight': 93,
                                        'mmWidth': 78,
                                        'mmXOffset': 20,
                                        'mmYOffset': 0},
                                       {'SIDE': 'REAR',
                                        'mmDepth': 194,
                                        'mmHeight': 93,
                                        'mmWidth': 78,
                                        'mmXOffset': 98,
                                        'mmYOffset': 0},
                                       {'SIDE': 'REAR',
                                        'mmDepth': 194,
                                        'mmHeight': 93,
                                        'mmWidth': 78,
                                        'mmXOffset': 176,
                                        'mmYOffset': 0},
                                       {'SIDE': 'REAR',
                                        'mmDepth': 194,
                                        'mmHeight': 93,
                                        'mmWidth': 78,
                                        'mmXOffset': 254,
                                        'mmYOffset': 0},
                                       {'SIDE': 'REAR',
                                        'mmDepth': 194,
                                        'mmHeight': 93,
                                        'mmWidth': 78,
                                        'mmXOffset': 332,
                                        'mmYOffset': 0},
                                       {'SIDE': 'REAR',
                                        'mmDepth': 194,
                                        'mmHeight': 93,
                                        'mmWidth': 78,
                                        'mmXOffset': 20,
                                        'mmYOffset': 261},
                                       {'SIDE': 'REAR',
                                        'mmDepth': 194,
                                        'mmHeight': 93,
                                        'mmWidth': 78,
                                        'mmXOffset': 98,
                                        'mmYOffset': 261},
                                       {'SIDE': 'REAR',
                                        'mmDepth': 194,
                                        'mmHeight': 93,
                                        'mmWidth': 78,
                                        'mmXOffset': 176,
                                        'mmYOffset': 261},
                                       {'SIDE': 'REAR',
                                        'mmDepth': 194,
                                        'mmHeight': 93,
                                        'mmWidth': 78,
                                        'mmXOffset': 254,
                                        'mmYOffset': 261},
                                       {'SIDE': 'REAR',
                                        'mmDepth': 194,
                                        'mmHeight': 93,
                                        'mmWidth': 78,
                                        'mmXOffset': 332,
                                        'mmYOffset': 261}]},
                      'FAN': [{'BAY': {'CONNECTION': 1},
                               'PN': '412140-B21',
                               'PRODUCTNAME': 'Active Cool 200 Fan',
                               'PWR_USED': 12,
                               'RPM_CUR': 7250,
                               'RPM_MAX': 18000,
                               'RPM_MIN': 10,
                               'STATUS': 'OK'},
                              {'BAY': {'CONNECTION': 2},
                               'PN': '412140-B21',
                               'PRODUCTNAME': 'Active Cool 200 Fan',
                               'PWR_USED': 10,
                               'RPM_CUR': 7250,
                               'RPM_MAX': 18000,
                               'RPM_MIN': 10,
                               'STATUS': 'OK'},
                              {'BAY': {'CONNECTION': 3},
                               'PN': '412140-B21',
                               'PRODUCTNAME': 'Active Cool 200 Fan',
                               'PWR_USED': 15,
                               'RPM_CUR': 7611,
                               'RPM_MAX': 18000,
                               'RPM_MIN': 10,
                               'STATUS': 'OK'},
                              {'BAY': {'CONNECTION': 4},
                               'PN': '412140-B21',
                               'PRODUCTNAME': 'Active Cool 200 Fan',
                               'PWR_USED': 11,
                               'RPM_CUR': 7609,
                               'RPM_MAX': 18000,
                               'RPM_MIN': 10,
                               'STATUS': 'OK'},
                              {'BAY': {'CONNECTION': 5},
                               'PN': '412140-B21',
                               'PRODUCTNAME': 'Active Cool 200 Fan',
                               'PWR_USED': 16,
                               'RPM_CUR': 7610,
                               'RPM_MAX': 18000,
                               'RPM_MIN': 10,
                               'STATUS': 'OK'},
                              {'BAY': {'CONNECTION': 6},
                               'PN': '412140-B21',
                               'PRODUCTNAME': 'Active Cool 200 Fan',
                               'PWR_USED': 15,
                               'RPM_CUR': 7250,
                               'RPM_MAX': 18000,
                               'RPM_MIN': 10,
                               'STATUS': 'OK'},
                              {'BAY': {'CONNECTION': 7},
                               'PN': '412140-B21',
                               'PRODUCTNAME': 'Active Cool 200 Fan',
                               'PWR_USED': 10,
                               'RPM_CUR': 7250,
                               'RPM_MAX': 18000,
                               'RPM_MIN': 10,
                               'STATUS': 'OK'},
                              {'BAY': {'CONNECTION': 8},
                               'PN': '412140-B21',
                               'PRODUCTNAME': 'Active Cool 200 Fan',
                               'PWR_USED': 12,
                               'RPM_CUR': 7249,
                               'RPM_MAX': 18000,
                               'RPM_MIN': 10,
                               'STATUS': 'OK'},
                              {'BAY': {'CONNECTION': 9},
                               'PN': '412140-B21',
                               'PRODUCTNAME': 'Active Cool 200 Fan',
                               'PWR_USED': 13,
                               'RPM_CUR': 7250,
                               'RPM_MAX': 18000,
                               'RPM_MIN': 10,
                               'STATUS': 'OK'},
                              {'BAY': {'CONNECTION': 10},
                               'PN': '412140-B21',
                               'PRODUCTNAME': 'Active Cool 200 Fan',
                               'PWR_USED': 12,
                               'RPM_CUR': 7251,
                               'RPM_MAX': 18000,
                               'RPM_MIN': 10,
                               'STATUS': 'OK'}],
                      'NEEDED_FANS': 9,
                      'REDUNDANCY': 'REDUNDANT',
                      'STATUS': 'OK',
                      'WANTED_FANS': 10},
             'LCDS': {'BAYS': {'BAY': {'SIDE': 'FRONT',
                                       'mmDepth': 15,
                                       'mmHeight': 55,
                                       'mmWidth': 92,
                                       'mmXOffset': 145,
                                       'mmYOffset': 365}},
                      'LCD': {'BAY': {'CONNECTION': 1},
                              'BUTTON_LOCK_ENABLED': 'false',
                              'DIAG': {'AC': 'NOT_RELEVANT',
                                       'Cooling': 'NOT_RELEVANT',
                                       'Degraded': 'NOT_TESTED',
                                       'FRU': 'NO_ERROR',
                                       'Failure': 'NOT_TESTED',
                                       'Keying': 'NOT_RELEVANT',
                                       'Location': 'NOT_RELEVANT',
                                       'MgmtProc': 'NOT_RELEVANT',
                                       'Power': 'NOT_RELEVANT',
                                       'i2c': 'NOT_RELEVANT',
                                       'oaRedundancy': 'NOT_RELEVANT',
                                       'thermalDanger': 'NOT_RELEVANT',
                                       'thermalWarning': 'NOT_RELEVANT'},
                              'FWRI': '2.2.2',
                              'IMAGE_URL': '/cgi-bin/getLCDImage?oaSessionKey=',
                              'MANUFACTURER': 'HP',
                              'PIN_ENABLED': 'false',
                              'PN': '441203-001',
                              'SPN': 'BladeSystem c7000 Insight Display',
                              'STATUS': 'OK',
                              'USERNOTES': 'Upload up to^six lines of^text information and your^320x240 bitmap using the^Onboard Administrator^web user interface'}},
             'MANAGERS': {'BAYS': {'BAY': [{'SIDE': 'REAR',
                                            'mmDepth': 177,
                                            'mmHeight': 21,
                                            'mmWidth': 160,
                                            'mmXOffset': 0,
                                            'mmYOffset': 225},
                                           {'SIDE': 'REAR',
                                            'mmDepth': 177,
                                            'mmHeight': 21,
                                            'mmWidth': 160,
                                            'mmXOffset': 255,
                                            'mmYOffset': 225}]},
                          'MANAGER': [{'BAY': {'CONNECTION': 1},
                                       'BSN': 'O989JPG954    ',
                                       'DIAG': {'AC': 'NOT_RELEVANT',
                                                'Cooling': 'NOT_RELEVANT',
                                                'Degraded': 'NOT_TESTED',
                                                'FRU': 'NO_ERROR',
                                                'Failure': 'NOT_TESTED',
                                                'Keying': 'NOT_RELEVANT',
                                                'Location': 'NOT_RELEVANT',
                                                'MgmtProc': 'NOT_TESTED',
                                                'Power': 'NOT_RELEVANT',
                                                'i2c': 'NOT_RELEVANT',
                                                'oaRedundancy': 'NOT_TESTED',
                                                'thermalDanger': 'NOT_RELEVANT',
                                                'thermalWarning': 'NOT_RELEVANT'},
                                       'FWRI': 3.0,
                                       'IPV6STATUS': 'DISABLED',
                                       'MACADDR': '00:22:64:9D:F8:2F',
                                       'MANUFACTURER': 'HP',
                                       'MGMTIPADDR': '10.0.168.11',
                                       'NAME': 'OA-0011649DF82F',
                                       'POWER': {'POWERSTATE': 'ON'},
                                       'ROLE': 'ACTIVE',
                                       'SPN': 'BladeSystem c7000 Onboard Administrator',
                                       'STATUS': 'OK',
                                       'TEMPS': {'TEMP': {'C': 39,
                                                          'DESC': 'AMBIENT',
                                                          'LOCATION': 17,
                                                          'THRESHOLD': [{'C': 75,
                                                                         'DESC': 'CAUTION',
                                                                         'STATUS': 'Degraded'},
                                                                        {'C': 80,
                                                                         'DESC': 'CRITICAL',
                                                                         'STATUS': 'Non-Recoverable Error'}]}},
                                       'UIDSTATUS': 'OFF',
                                       'UUID': '09O989JPG954    ',
                                       'WIZARDSTATUS': 'WIZARD_SETUP_COMPLETE',
                                       'YOUAREHERE': 'true'},
                                      {'BAY': {'CONNECTION': 2},
                                       'BSN': 'O989JPG834    ',
                                       'DIAG': {'AC': 'NOT_RELEVANT',
                                                'Cooling': 'NOT_RELEVANT',
                                                'Degraded': 'NOT_TESTED',
                                                'FRU': 'NO_ERROR',
                                                'Failure': 'NOT_TESTED',
                                                'Keying': 'NOT_RELEVANT',
                                                'Location': 'NOT_RELEVANT',
                                                'MgmtProc': 'NOT_TESTED',
                                                'Power': 'NOT_RELEVANT',
                                                'i2c': 'NOT_RELEVANT',
                                                'oaRedundancy': 'NOT_TESTED',
                                                'thermalDanger': 'NOT_RELEVANT',
                                                'thermalWarning': 'NOT_RELEVANT'},
                                       'FWRI': 3.0,
                                       'IPV6STATUS': 'DISABLED',
                                       'MACADDR': '00:22:64:9D:E8:3F',
                                       'MANUFACTURER': 'HP',
                                       'MGMTIPADDR': '10.0.168.12',
                                       'NAME': 'OA-0011649DE83F',
                                       'POWER': {'POWERSTATE': 'ON'},
                                       'ROLE': 'STANDBY',
                                       'SPN': 'BladeSystem c7000 Onboard Administrator',
                                       'STATUS': 'OK',
                                       'TEMPS': {'TEMP': {'C': 39,
                                                          'DESC': 'AMBIENT',
                                                          'LOCATION': 17,
                                                          'THRESHOLD': [{'C': 75,
                                                                         'DESC': 'CAUTION',
                                                                         'STATUS': 'Degraded'},
                                                                        {'C': 80,
                                                                         'DESC': 'CRITICAL',
                                                                         'STATUS': 'Non-Recoverable Error'}]}},
                                       'UIDSTATUS': 'OFF',
                                       'UUID': '09O989JPG834    ',
                                       'WIZARDSTATUS': 'WIZARD_SETUP_COMPLETE',
                                       'YOUAREHERE': 'false'}]},
             'PART': '412152-B21',
             'PN': 'BladeSystem c7000 Enclosure',
             'POWER': {'BAYS': {'BAY': [{'SIDE': 'FRONT',
                                         'mmDepth': 700,
                                         'mmHeight': 56,
                                         'mmWidth': 70,
                                         'mmXOffset': 0,
                                         'mmYOffset': 365},
                                        {'SIDE': 'FRONT',
                                         'mmDepth': 700,
                                         'mmHeight': 56,
                                         'mmWidth': 70,
                                         'mmXOffset': 70,
                                         'mmYOffset': 365},
                                        {'SIDE': 'FRONT',
                                         'mmDepth': 700,
                                         'mmHeight': 56,
                                         'mmWidth': 70,
                                         'mmXOffset': 140,
                                         'mmYOffset': 365},
                                        {'SIDE': 'FRONT',
                                         'mmDepth': 700,
                                         'mmHeight': 56,
                                         'mmWidth': 70,
                                         'mmXOffset': 210,
                                         'mmYOffset': 365},
                                        {'SIDE': 'FRONT',
                                         'mmDepth': 700,
                                         'mmHeight': 56,
                                         'mmWidth': 70,
                                         'mmXOffset': 280,
                                         'mmYOffset': 365},
                                        {'SIDE': 'FRONT',
                                         'mmDepth': 700,
                                         'mmHeight': 56,
                                         'mmWidth': 70,
                                         'mmXOffset': 350,
                                         'mmYOffset': 365}]},
                       'CAPACITY': 6750,
                       'DYNAMICPOWERSAVER': 'true',
                       'NEEDED_PS': 2,
                       'OUTPUT_POWER': 11208,
                       'PDU': '413374-B21',
                       'POWERONFLAG': 'false',
                       'POWERSUPPLY': [{'ACINPUT': 'OK',
                                        'ACTUALOUTPUT': 573,
                                        'BAY': {'CONNECTION': 1},
                                        'CAPACITY': 2250,
                                        'DIAG': {'AC': 'NO_ERROR',
                                                 'Cooling': 'NOT_RELEVANT',
                                                 'Degraded': 'NOT_TESTED',
                                                 'FRU': 'NO_ERROR',
                                                 'Failure': 'NO_ERROR',
                                                 'Keying': 'NOT_RELEVANT',
                                                 'Location': 'NOT_TESTED',
                                                 'MgmtProc': 'NOT_RELEVANT',
                                                 'Power': 'NOT_RELEVANT',
                                                 'i2c': 'NOT_RELEVANT',
                                                 'oaRedundancy': 'NOT_RELEVANT',
                                                 'thermalDanger': 'NOT_RELEVANT',
                                                 'thermalWarning': 'NOT_RELEVANT'},
                                        'FWRI': 0.0,
                                        'PN': '412138-B21',
                                        'SN': '4B11B0FHLWD39I',
                                        'STATUS': 'OK'},
                                       {'ACINPUT': 'OK',
                                        'ACTUALOUTPUT': 573,
                                        'BAY': {'CONNECTION': 2},
                                        'CAPACITY': 2250,
                                        'DIAG': {'AC': 'NO_ERROR',
                                                 'Cooling': 'NOT_RELEVANT',
                                                 'Degraded': 'NOT_TESTED',
                                                 'FRU': 'NO_ERROR',
                                                 'Failure': 'NO_ERROR',
                                                 'Keying': 'NOT_RELEVANT',
                                                 'Location': 'NOT_TESTED',
                                                 'MgmtProc': 'NOT_RELEVANT',
                                                 'Power': 'NOT_RELEVANT',
                                                 'i2c': 'NOT_RELEVANT',
                                                 'oaRedundancy': 'NOT_RELEVANT',
                                                 'thermalDanger': 'NOT_RELEVANT',
                                                 'thermalWarning': 'NOT_RELEVANT'},
                                        'FWRI': 0.0,
                                        'PN': '412138-B21',
                                        'SN': '4B11B0FHLWE1ZG',
                                        'STATUS': 'OK'},
                                       {'ACINPUT': 'OK',
                                        'ACTUALOUTPUT': 0,
                                        'BAY': {'CONNECTION': 3},
                                        'CAPACITY': 2250,
                                        'DIAG': {'AC': 'NO_ERROR',
                                                 'Cooling': 'NOT_RELEVANT',
                                                 'Degraded': 'NOT_TESTED',
                                                 'FRU': 'NO_ERROR',
                                                 'Failure': 'NO_ERROR',
                                                 'Keying': 'NOT_RELEVANT',
                                                 'Location': 'NOT_TESTED',
                                                 'MgmtProc': 'NOT_RELEVANT',
                                                 'Power': 'NOT_RELEVANT',
                                                 'i2c': 'NOT_RELEVANT',
                                                 'oaRedundancy': 'NOT_RELEVANT',
                                                 'thermalDanger': 'NOT_RELEVANT',
                                                 'thermalWarning': 'NOT_RELEVANT'},
                                        'FWRI': 0.0,
                                        'PN': '412138-B21',
                                        'SN': '4B11B0FHLWE1ZH',
                                        'STATUS': 'OK'},
                                       {'ACINPUT': 'OK',
                                        'ACTUALOUTPUT': 573,
                                        'BAY': {'CONNECTION': 4},
                                        'CAPACITY': 2250,
                                        'DIAG': {'AC': 'NO_ERROR',
                                                 'Cooling': 'NOT_RELEVANT',
                                                 'Degraded': 'NOT_TESTED',
                                                 'FRU': 'NO_ERROR',
                                                 'Failure': 'NO_ERROR',
                                                 'Keying': 'NOT_RELEVANT',
                                                 'Location': 'NOT_TESTED',
                                                 'MgmtProc': 'NOT_RELEVANT',
                                                 'Power': 'NOT_RELEVANT',
                                                 'i2c': 'NOT_RELEVANT',
                                                 'oaRedundancy': 'NOT_RELEVANT',
                                                 'thermalDanger': 'NOT_RELEVANT',
                                                 'thermalWarning': 'NOT_RELEVANT'},
                                        'FWRI': 0.0,
                                        'PN': '412138-B21',
                                        'SN': '4B11B0FHLWD39C',
                                        'STATUS': 'OK'},
                                       {'ACINPUT': 'OK',
                                        'ACTUALOUTPUT': 573,
                                        'BAY': {'CONNECTION': 5},
                                        'CAPACITY': 2250,
                                        'DIAG': {'AC': 'NO_ERROR',
                                                 'Cooling': 'NOT_RELEVANT',
                                                 'Degraded': 'NOT_TESTED',
                                                 'FRU': 'NO_ERROR',
                                                 'Failure': 'NO_ERROR',
                                                 'Keying': 'NOT_RELEVANT',
                                                 'Location': 'NOT_TESTED',
                                                 'MgmtProc': 'NOT_RELEVANT',
                                                 'Power': 'NOT_RELEVANT',
                                                 'i2c': 'NOT_RELEVANT',
                                                 'oaRedundancy': 'NOT_RELEVANT',
                                                 'thermalDanger': 'NOT_RELEVANT',
                                                 'thermalWarning': 'NOT_RELEVANT'},
                                        'FWRI': 0.0,
                                        'PN': '412138-B21',
                                        'SN': '4B11B0FHLWE1ZC',
                                        'STATUS': 'OK'},
                                       {'ACINPUT': 'OK',
                                        'ACTUALOUTPUT': 0,
                                        'BAY': {'CONNECTION': 6},
                                        'CAPACITY': 2250,
                                        'DIAG': {'AC': 'NO_ERROR',
                                                 'Cooling': 'NOT_RELEVANT',
                                                 'Degraded': 'NOT_TESTED',
                                                 'FRU': 'NO_ERROR',
                                                 'Failure': 'NO_ERROR',
                                                 'Keying': 'NOT_RELEVANT',
                                                 'Location': 'NOT_TESTED',
                                                 'MgmtProc': 'NOT_RELEVANT',
                                                 'Power': 'NOT_RELEVANT',
                                                 'i2c': 'NOT_RELEVANT',
                                                 'oaRedundancy': 'NOT_RELEVANT',
                                                 'thermalDanger': 'NOT_RELEVANT',
                                                 'thermalWarning': 'NOT_RELEVANT'},
                                        'FWRI': 0.0,
                                        'PN': '412138-B21',
                                        'SN': '4B11B0FHLWE1ZQ',
                                        'STATUS': 'OK'}],
                       'POWER_CONSUMED': 4094,
                       'REDUNDANCY': 'REDUNDANT',
                       'REDUNDANCYMODE': 'AC_REDUNDANT',
                       'REDUNDANT_CAPACITY': 2656,
                       'STATUS': 'OK',
                       'TYPE': 'INTERNAL_DC',
                       'WANTED_PS': 4},
             'RACK': 'H16',
             'STATUS': 'OK',
             'SWITCHES': {'BAYS': {'BAY': [{'SIDE': 'REAR',
                                            'mmDepth': 268,
                                            'mmHeight': 28,
                                            'mmWidth': 193,
                                            'mmXOffset': 0,
                                            'mmYOffset': 95},
                                           {'SIDE': 'REAR',
                                            'mmDepth': 268,
                                            'mmHeight': 28,
                                            'mmWidth': 193,
                                            'mmXOffset': 193,
                                            'mmYOffset': 95},
                                           {'SIDE': 'REAR',
                                            'mmDepth': 268,
                                            'mmHeight': 28,
                                            'mmWidth': 193,
                                            'mmXOffset': 0,
                                            'mmYOffset': 123},
                                           {'SIDE': 'REAR',
                                            'mmDepth': 268,
                                            'mmHeight': 28,
                                            'mmWidth': 193,
                                            'mmXOffset': 193,
                                            'mmYOffset': 123},
                                           {'SIDE': 'REAR',
                                            'mmDepth': 268,
                                            'mmHeight': 28,
                                            'mmWidth': 193,
                                            'mmXOffset': 0,
                                            'mmYOffset': 151},
                                           {'SIDE': 'REAR',
                                            'mmDepth': 268,
                                            'mmHeight': 28,
                                            'mmWidth': 193,
                                            'mmXOffset': 193,
                                            'mmYOffset': 151},
                                           {'SIDE': 'REAR',
                                            'mmDepth': 268,
                                            'mmHeight': 28,
                                            'mmWidth': 193,
                                            'mmXOffset': 0,
                                            'mmYOffset': 179},
                                           {'SIDE': 'REAR',
                                            'mmDepth': 268,
                                            'mmHeight': 28,
                                            'mmWidth': 193,
                                            'mmXOffset': 193,
                                            'mmYOffset': 179}]},
                          'SWITCH': [{'BAY': {'CONNECTION': 1},
                                      'BSN': 'TW2833014Z',
                                      'DIAG': {'AC': 'NOT_RELEVANT',
                                               'Cooling': 'NOT_RELEVANT',
                                               'Degraded': 'NO_ERROR',
                                               'FRU': 'NO_ERROR',
                                               'Failure': 'NO_ERROR',
                                               'Keying': 'NO_ERROR',
                                               'Location': 'NOT_RELEVANT',
                                               'MgmtProc': 'NO_ERROR',
                                               'Power': 'NO_ERROR',
                                               'i2c': 'NOT_RELEVANT',
                                               'oaRedundancy': 'NOT_RELEVANT',
                                               'thermalDanger': 'NO_ERROR',
                                               'thermalWarning': 'NO_ERROR'},
                                      'FABRICTYPE': 'INTERCONNECT_TYPE_ETH',
                                      'MANUFACTURER': 'HP',
                                      'MGMTIPADDR': '10.0.168.13',
                                      'MGMTURL': 'http://10.0.168.13/',
                                      'PORTMAP': {'PASSTHRU_MODE_ENABLED': 'DISABLED',
                                                  'SLOT': {'NUMBER': 1,
                                                           'PORT': [{'BLADEBAYNUMBER': 1,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 1,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 2,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 2,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 3,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 3,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 4,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 4,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 5,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 5,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 6,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 6,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 7,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 7,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 8,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 8,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 9,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 9,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 10,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 10,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 11,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 11,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 12,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 12,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 13,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 13,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 14,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 14,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 15,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 15,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 16,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 16,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'}],
                                                           'TYPE': 'INTERCONNECT_TYPE_ETH'},
                                                  'STATUS': 'OK'},
                                      'POWER': {'POWERSTATE': 'ON',
                                                'POWER_OFF_WATTAGE': 2,
                                                'POWER_ON_WATTAGE': 35},
                                      'SPN': 'HP 1/10Gb VC-Enet Module',
                                      'STATUS': 'OK',
                                      'TEMPS': {'TEMP': {'C': 0,
                                                         'DESC': 'AMBIENT',
                                                         'LOCATION': 13,
                                                         'THRESHOLD': [{'C': 0,
                                                                        'DESC': 'CAUTION',
                                                                        'STATUS': 'Degraded'},
                                                                       {'C': 0,
                                                                        'DESC': 'CRITICAL',
                                                                        'STATUS': 'Non-Recoverable Error'}]}},
                                      'THERMAL': 'OK',
                                      'UIDSTATUS': 'OFF'},
                                     {'BAY': {'CONNECTION': 2},
                                      'BSN': 'TW28330136',
                                      'DIAG': {'AC': 'NOT_RELEVANT',
                                               'Cooling': 'NOT_RELEVANT',
                                               'Degraded': 'NO_ERROR',
                                               'FRU': 'NO_ERROR',
                                               'Failure': 'NO_ERROR',
                                               'Keying': 'NO_ERROR',
                                               'Location': 'NOT_RELEVANT',
                                               'MgmtProc': 'NO_ERROR',
                                               'Power': 'NO_ERROR',
                                               'i2c': 'NOT_RELEVANT',
                                               'oaRedundancy': 'NOT_RELEVANT',
                                               'thermalDanger': 'NO_ERROR',
                                               'thermalWarning': 'NO_ERROR'},
                                      'FABRICTYPE': 'INTERCONNECT_TYPE_ETH',
                                      'MANUFACTURER': 'HP',
                                      'MGMTIPADDR': '10.0.168.14',
                                      'MGMTURL': 'http://10.0.168.14/',
                                      'PORTMAP': {'PASSTHRU_MODE_ENABLED': 'DISABLED',
                                                  'SLOT': {'NUMBER': 1,
                                                           'PORT': [{'BLADEBAYNUMBER': 1,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 1,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 2,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 2,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 3,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 3,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 4,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 4,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 5,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 5,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 6,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 6,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 7,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 7,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 8,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 8,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 9,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 9,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 10,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 10,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 11,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 11,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 12,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 12,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 13,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 13,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 14,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 14,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 15,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 15,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 16,
                                                                     'BLADEMEZZNUMBER': 5,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 16,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'}],
                                                           'TYPE': 'INTERCONNECT_TYPE_ETH'},
                                                  'STATUS': 'OK'},
                                      'POWER': {'POWERSTATE': 'ON',
                                                'POWER_OFF_WATTAGE': 2,
                                                'POWER_ON_WATTAGE': 35},
                                      'SPN': 'HP 1/10Gb VC-Enet Module',
                                      'STATUS': 'OK',
                                      'TEMPS': {'TEMP': {'C': 0,
                                                         'DESC': 'AMBIENT',
                                                         'LOCATION': 13,
                                                         'THRESHOLD': [{'C': 0,
                                                                        'DESC': 'CAUTION',
                                                                        'STATUS': 'Degraded'},
                                                                       {'C': 0,
                                                                        'DESC': 'CRITICAL',
                                                                        'STATUS': 'Non-Recoverable Error'}]}},
                                      'THERMAL': 'OK',
                                      'UIDSTATUS': 'OFF'},
                                     {'BAY': {'CONNECTION': 3},
                                      'BSN': 'CN8838700T',
                                      'DIAG': {'AC': 'NOT_RELEVANT',
                                               'Cooling': 'NOT_RELEVANT',
                                               'Degraded': 'NO_ERROR',
                                               'FRU': 'NO_ERROR',
                                               'Failure': 'NO_ERROR',
                                               'Keying': 'NO_ERROR',
                                               'Location': 'NOT_RELEVANT',
                                               'MgmtProc': 'NO_ERROR',
                                               'Power': 'NO_ERROR',
                                               'i2c': 'NOT_RELEVANT',
                                               'oaRedundancy': 'NOT_RELEVANT',
                                               'thermalDanger': 'NO_ERROR',
                                               'thermalWarning': 'NO_ERROR'},
                                      'FABRICTYPE': 'INTERCONNECT_TYPE_FIB',
                                      'MANUFACTURER': 'BROCADE',
                                      'MGMTIPADDR': '10.0.168.15',
                                      'MGMTURL': 'http://10.0.168.15',
                                      'PORTMAP': {'PASSTHRU_MODE_ENABLED': 'DISABLED',
                                                  'SLOT': {'NUMBER': 1,
                                                           'PORT': [{'BLADEBAYNUMBER': 1,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 1,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 2,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 2,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 3,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 3,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 4,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 4,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 5,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 5,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 6,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 6,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 7,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 7,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 8,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 8,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 9,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 9,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 10,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 10,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 11,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 11,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 0,
                                                                     'BLADEMEZZNUMBER': 0,
                                                                     'BLADEMEZZPORTNUMBER': 0,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 12,
                                                                     'STATUS': 'UNKNOWN',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 13,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 13,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 14,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 14,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 15,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 15,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 16,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 1,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 16,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'}],
                                                           'TYPE': 'INTERCONNECT_TYPE_FIB'},
                                                  'STATUS': 'OK'},
                                      'POWER': {'POWERSTATE': 'ON',
                                                'POWER_OFF_WATTAGE': 1,
                                                'POWER_ON_WATTAGE': 35},
                                      'SPN': 'Brocade 4/24 SAN Switch for HP c-Class BladeSystem',
                                      'STATUS': 'OK',
                                      'TEMPS': {'TEMP': {'C': 0,
                                                         'DESC': 'AMBIENT',
                                                         'LOCATION': 13,
                                                         'THRESHOLD': [{'C': 0,
                                                                        'DESC': 'CAUTION',
                                                                        'STATUS': 'Degraded'},
                                                                       {'C': 0,
                                                                        'DESC': 'CRITICAL',
                                                                        'STATUS': 'Non-Recoverable Error'}]}},
                                      'THERMAL': 'OK',
                                      'UIDSTATUS': 'OFF'},
                                     {'BAY': {'CONNECTION': 4},
                                      'BSN': 'CN88387014',
                                      'DIAG': {'AC': 'NOT_RELEVANT',
                                               'Cooling': 'NOT_RELEVANT',
                                               'Degraded': 'NO_ERROR',
                                               'FRU': 'NO_ERROR',
                                               'Failure': 'NO_ERROR',
                                               'Keying': 'NO_ERROR',
                                               'Location': 'NOT_RELEVANT',
                                               'MgmtProc': 'NO_ERROR',
                                               'Power': 'NO_ERROR',
                                               'i2c': 'NOT_RELEVANT',
                                               'oaRedundancy': 'NOT_RELEVANT',
                                               'thermalDanger': 'NO_ERROR',
                                               'thermalWarning': 'NO_ERROR'},
                                      'FABRICTYPE': 'INTERCONNECT_TYPE_FIB',
                                      'MANUFACTURER': 'BROCADE',
                                      'MGMTIPADDR': '10.0.168.16',
                                      'MGMTURL': 'http://10.0.168.16',
                                      'PORTMAP': {'PASSTHRU_MODE_ENABLED': 'DISABLED',
                                                  'SLOT': {'NUMBER': 1,
                                                           'PORT': [{'BLADEBAYNUMBER': 1,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 1,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 2,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 2,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 3,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 3,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 4,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 4,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 5,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 5,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 6,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 6,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 7,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 7,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 8,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 8,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 9,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 9,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 10,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 10,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 11,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 11,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 0,
                                                                     'BLADEMEZZNUMBER': 0,
                                                                     'BLADEMEZZPORTNUMBER': 0,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 12,
                                                                     'STATUS': 'UNKNOWN',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 13,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 13,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 14,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 14,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 15,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 15,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'},
                                                                    {'BLADEBAYNUMBER': 16,
                                                                     'BLADEMEZZNUMBER': 1,
                                                                     'BLADEMEZZPORTNUMBER': 2,
                                                                     'ENABLED': 'UNKNOWN',
                                                                     'LINK_LED_STATUS': 'UNKNOWN',
                                                                     'NUMBER': 16,
                                                                     'STATUS': 'OK',
                                                                     'UID_STATUS': 'UNKNOWN'}],
                                                           'TYPE': 'INTERCONNECT_TYPE_FIB'},
                                                  'STATUS': 'OK'},
                                      'POWER': {'POWERSTATE': 'ON',
                                                'POWER_OFF_WATTAGE': 1,
                                                'POWER_ON_WATTAGE': 35},
                                      'SPN': 'Brocade 4/24 SAN Switch for HP c-Class BladeSystem',
                                      'STATUS': 'OK',
                                      'TEMPS': {'TEMP': {'C': 0,
                                                         'DESC': 'AMBIENT',
                                                         'LOCATION': 13,
                                                         'THRESHOLD': [{'C': 0,
                                                                        'DESC': 'CAUTION',
                                                                        'STATUS': 'Degraded'},
                                                                       {'C': 0,
                                                                        'DESC': 'CRITICAL',
                                                                        'STATUS': 'Non-Recoverable Error'}]}},
                                      'THERMAL': 'OK',
                                      'UIDSTATUS': 'OFF'}]},
             'TEMPS': {'TEMP': {'C': 22,
                                'DESC': 'AMBIENT',
                                'LOCATION': 9,
                                'THRESHOLD': [{'C': 38,
                                               'DESC': 'CAUTION',
                                               'STATUS': 'Degraded'},
                                              {'C': 43,
                                               'DESC': 'CRITICAL',
                                               'STATUS': 'Non-Recoverable Error'}]}},
             'TIMEZONE': 'CST6CDT',
             'UIDSTATUS': 'OFF',
             'UUID': '09UK44404V4R',
             'VCM': {'vcmDomainId': 'VcD_8c511e40e65b',
                     'vcmDomainName': 'vc_domain_h16_1',
                     'vcmMode': 'true',
                     'vcmUrl': 'http://10.0.168.14/'},
             'VM': {'DVDDRIVE': 'ABSENT'}},
  'MP': {'CIMOM': 'false',
         'FWRI': 3.0,
         'HWRI': 109.59,
         'PN': 'BladeSystem c7000 Onboard Administrator',
         'PRIM': 'true',
         'SN': 'O989JPG954    ',
         'SSO': 'false',
         'ST': 1,
         'STE': 'false',
         'USESTE': 'false',
         'UUID': '09O989JPG954    '},
  'RK_TPLGY': {'ICMB': {'LEFT': None, 'RIGHT': None}, 'RUID': '09UK44404V4R'}})
